<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: mp_tension_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_985f593f22fcf3a93b5ee7686d3ca58d.html">vdf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mp_tension_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemp__tension__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html">mp_tension_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a1a5c6936290db0b29bbb9c77347f1fd7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a1a5c6936290db0b29bbb9c77347f1fd7">mp_tension_m::mp_tension_register</a> (vdf)</td></tr>
<tr class="separator:a1a5c6936290db0b29bbb9c77347f1fd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e67be18908db8a27109f888c23e3940"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a1e67be18908db8a27109f888c23e3940">mp_tension_m::mp_tension_init</a> (vdf)</td></tr>
<tr class="separator:a1e67be18908db8a27109f888c23e3940"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e3229591cad5cc69b668bf08fc28993"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993">mp_tension_m::mp_tension_implicit</a> (vdf)</td></tr>
<tr class="separator:a8e3229591cad5cc69b668bf08fc28993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40b741d9150503871535d687a206348"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348">mp_tension_m::mp_tension_explicit</a> (vdf)</td></tr>
<tr class="separator:aa40b741d9150503871535d687a206348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1ba4c308468c7f4274ae4fac4d9331"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331">mp_tension_m::mp_tension_update</a> (FU, FV, FW, vdf)</td></tr>
<tr class="separator:a7e1ba4c308468c7f4274ae4fac4d9331"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac70373000abfcfaceb2af417cefa7bda"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#ac70373000abfcfaceb2af417cefa7bda">mp_tension_m::mp_tension_p_test</a> (vdf)</td></tr>
<tr class="separator:ac70373000abfcfaceb2af417cefa7bda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5913072a1db99dbeed93f96199fd1f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f">mp_tension_m::mp_curvature_update</a> (curvature, flag_exist, VOF, hybrid, vdf)</td></tr>
<tr class="separator:a5d5913072a1db99dbeed93f96199fd1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf670efc53aa4fd17d2f579b49a561a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#aaaf670efc53aa4fd17d2f579b49a561a">mp_tension_m::mp_curvature_update_fd</a> (curvature, cv_flag, VOF, hybrid, vdf)</td></tr>
<tr class="separator:aaaf670efc53aa4fd17d2f579b49a561a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d40904e91aa061d310bb1b63beb7f1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#af0d40904e91aa061d310bb1b63beb7f1">update_normal_vector</a> (A)</td></tr>
<tr class="separator:af0d40904e91aa061d310bb1b63beb7f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a842fad8d1af404e6c5afdcd66bf4b997"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#a842fad8d1af404e6c5afdcd66bf4b997">smoothen_normal_vector</a> (G1, G2, G3)</td></tr>
<tr class="separator:a842fad8d1af404e6c5afdcd66bf4b997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df9b25fd4b70ca30e9fd927c6f243dd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a3df9b25fd4b70ca30e9fd927c6f243dd">mp_tension_m::mp_curvature_update_height_fn</a> (curvature, cv_flag, VOF, hybrid, vdf)</td></tr>
<tr class="separator:a3df9b25fd4b70ca30e9fd927c6f243dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d60db0ac151da4ac94961be0fd6ead4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#a1d60db0ac151da4ac94961be0fd6ead4">spread_curvature</a> ()</td></tr>
<tr class="separator:a1d60db0ac151da4ac94961be0fd6ead4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bba7e031c916327d7e9bf2da976e4d4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a1bba7e031c916327d7e9bf2da976e4d4">mp_tension_m::mp_curvature_update_height_normal</a> (curvature, cv_flag, VOF, hybrid, vdf)</td></tr>
<tr class="separator:a1bba7e031c916327d7e9bf2da976e4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc8ad22f7e0cd75cb61905ac3d8da878"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#afc8ad22f7e0cd75cb61905ac3d8da878">smoothen_normal_vector</a> (hybrid_work)</td></tr>
<tr class="separator:afc8ad22f7e0cd75cb61905ac3d8da878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53ce5514dffc24a72be79bcc0e24be5d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a53ce5514dffc24a72be79bcc0e24be5d">mp_tension_m::extend_normal_vector</a> (normal_vector, cv_flag, hybrid, hybrid_source, vdf)</td></tr>
<tr class="separator:a53ce5514dffc24a72be79bcc0e24be5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ad6cc078c4bd9256c94397bf4b59f0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a94ad6cc078c4bd9256c94397bf4b59f0">mp_tension_m::extend_normal_vector_laplace</a> (normal_vector, cv_flag, hybrid, hybrid_source, vdf)</td></tr>
<tr class="separator:a94ad6cc078c4bd9256c94397bf4b59f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1017495c417d7998421de7ddc09ff20"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#ad1017495c417d7998421de7ddc09ff20">mp_tension_m::extend_normal_vector_hyperbolic</a> (normal_vector, cv_flag, hybrid, hybrid_source, vdf)</td></tr>
<tr class="separator:ad1017495c417d7998421de7ddc09ff20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ec139b8d8e81091b95fe1b612f6348"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#a73ec139b8d8e81091b95fe1b612f6348">solve_vec_jacobi</a> (phi, bp, cv, nd, zero, max_iters, relax)</td></tr>
<tr class="separator:a73ec139b8d8e81091b95fe1b612f6348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a989200a24b33712c08656b6867948174"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mp__tension__m_8f90.html#a989200a24b33712c08656b6867948174">update_matrix</a> ()</td></tr>
<tr class="separator:a989200a24b33712c08656b6867948174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62f3ab3adf452493de28e9b92b9c66d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#aa62f3ab3adf452493de28e9b92b9c66d">mp_tension_m::mp_smooth_vof</a> (VOF, hybrid, vdf)</td></tr>
<tr class="separator:aa62f3ab3adf452493de28e9b92b9c66d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf2566483247e5d4ef456d94d5bba6c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#abbf2566483247e5d4ef456d94d5bba6c">mp_tension_m::mp_smooth_vof_averaged</a> (VOF, hybrid, vdf)</td></tr>
<tr class="separator:abbf2566483247e5d4ef456d94d5bba6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a192e1d55c11774f3611aa80167afb55a"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a192e1d55c11774f3611aa80167afb55a">mp_tension_m::mp_smooth_averaged</a> (r3, hybrid, vdf)</td></tr>
<tr class="separator:a192e1d55c11774f3611aa80167afb55a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab91a30c59c327dbff2c9ab2f69060788"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788">mp_tension_m::mp_modify_pressure_rhs</a> (hybrid, vdf)</td></tr>
<tr class="separator:ab91a30c59c327dbff2c9ab2f69060788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab546eb0426ea5838d116ad501181149f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#ab546eb0426ea5838d116ad501181149f">mp_tension_m::mp_apply_pressure</a> (hybrid, vdf)</td></tr>
<tr class="separator:ab546eb0426ea5838d116ad501181149f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a66a668e98ec40cbd25a2ed4be8cb1a0f"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a66a668e98ec40cbd25a2ed4be8cb1a0f">mp_tension_m::mp_check</a> = .FALSE.</td></tr>
<tr class="separator:a66a668e98ec40cbd25a2ed4be8cb1a0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a193e8a2e1155b5ac06756f3815c5efe2"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a193e8a2e1155b5ac06756f3815c5efe2">mp_tension_m::mp_tension_use_implicit</a> = .TRUE.</td></tr>
<tr class="separator:a193e8a2e1155b5ac06756f3815c5efe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba4fa06641fcc29dc0bb52e6252e5c68"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#aba4fa06641fcc29dc0bb52e6252e5c68">mp_tension_m::initialize_timer</a> = .FALSE.</td></tr>
<tr class="separator:aba4fa06641fcc29dc0bb52e6252e5c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90ee98293e28ad4b6c4718c307cbef63"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a90ee98293e28ad4b6c4718c307cbef63">mp_tension_m::use_st</a></td></tr>
<tr class="separator:a90ee98293e28ad4b6c4718c307cbef63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a076bb831bc111e8b6ac56c7076eb24dc"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#a076bb831bc111e8b6ac56c7076eb24dc">mp_tension_m::use_gravity</a></td></tr>
<tr class="separator:a076bb831bc111e8b6ac56c7076eb24dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d7be60367b7dc0de3d15f21c9acf63"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemp__tension__m.html#ac5d7be60367b7dc0de3d15f21c9acf63">mp_tension_m::vofmid</a> =&gt; null()</td></tr>
<tr class="separator:ac5d7be60367b7dc0de3d15f21c9acf63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a842fad8d1af404e6c5afdcd66bf4b997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a842fad8d1af404e6c5afdcd66bf4b997">&#9670;&nbsp;</a></span>smoothen_normal_vector() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine mp_curvature_update_fd::smoothen_normal_vector </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:)&#160;</td>
          <td class="paramname"><em>G1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:)&#160;</td>
          <td class="paramname"><em>G2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:)&#160;</td>
          <td class="paramname"><em>G3</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_a842fad8d1af404e6c5afdcd66bf4b997_icgraph.png" border="0" usemap="#mp__tension__m_8f90_a842fad8d1af404e6c5afdcd66bf4b997_icgraph" alt=""/></div>
<map name="mp__tension__m_8f90_a842fad8d1af404e6c5afdcd66bf4b997_icgraph" id="mp__tension__m_8f90_a842fad8d1af404e6c5afdcd66bf4b997_icgraph">
<area shape="rect" id="node2" href="namespacemp__tension__m.html#a1bba7e031c916327d7e9bf2da976e4d4" title="mp_tension_m::mp_curvature\l_update_height_normal" alt="" coords="221,39,416,80"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="464,39,659,80"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="707,39,889,80"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="937,5,1120,47"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="937,71,1120,112"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1168,71,1347,112"/>
</map>
</div>

</div>
</div>
<a id="afc8ad22f7e0cd75cb61905ac3d8da878"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc8ad22f7e0cd75cb61905ac3d8da878">&#9670;&nbsp;</a></span>smoothen_normal_vector() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine mp_curvature_update_height_normal::smoothen_normal_vector </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structhybrid__solver__defs__m_1_1hybrid__var__t.html">hybrid_var_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>hybrid_work</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73ec139b8d8e81091b95fe1b612f6348"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73ec139b8d8e81091b95fe1b612f6348">&#9670;&nbsp;</a></span>solve_vec_jacobi()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_normal_vector_hyperbolic::solve_vec_jacobi </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(1:,sd%imino_:,sd%jmino_:,sd%kmino_:), intent(inout)&#160;</td>
          <td class="paramname"><em>phi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(1:,sd%imin_:,sd%jmin_:,sd%kmin_:), intent(inout)&#160;</td>
          <td class="paramname"><em>bp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1grid__1d__list__t.html">grid_1d_list_t</a>), intent(in)&#160;</td>
          <td class="paramname"><em>cv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>nd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in), optional&#160;</td>
          <td class="paramname"><em>zero</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in), optional&#160;</td>
          <td class="paramname"><em>max_iters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in), optional&#160;</td>
          <td class="paramname"><em>relax</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparallel__m.html#a9eb6533f48c829b60b764b0bb4bd5011">parallel_m::mpi_real_wp</a>, and <a class="el" href="mp__tension__m_8f90.html#a989200a24b33712c08656b6867948174">update_matrix()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_cgraph.png" border="0" usemap="#mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_cgraph" alt=""/></div>
<map name="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_cgraph" id="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_cgraph">
<area shape="rect" id="node2" href="mp__tension__m_8f90.html#a989200a24b33712c08656b6867948174" title="update_matrix" alt="" coords="176,5,280,32"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_icgraph.png" border="0" usemap="#mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_icgraph" alt=""/></div>
<map name="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_icgraph" id="mp__tension__m_8f90_a73ec139b8d8e81091b95fe1b612f6348_icgraph">
<area shape="rect" id="node2" href="namespacemp__tension__m.html#ad1017495c417d7998421de7ddc09ff20" title="mp_tension_m::extend\l_normal_vector_hyperbolic" alt="" coords="176,39,353,80"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#a53ce5514dffc24a72be79bcc0e24be5d" title="mp_tension_m::extend\l_normal_vector" alt="" coords="401,39,556,80"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#aaaf670efc53aa4fd17d2f579b49a561a" title="mp_tension_m::mp_curvature\l_update_fd" alt="" coords="604,5,799,47"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#a1bba7e031c916327d7e9bf2da976e4d4" title="mp_tension_m::mp_curvature\l_update_height_normal" alt="" coords="604,71,799,112"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="847,39,1041,80"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="1089,39,1272,80"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="1320,5,1503,47"/>
<area shape="rect" id="node8" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="1320,71,1503,112"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1551,71,1729,112"/>
</map>
</div>

</div>
</div>
<a id="a1d60db0ac151da4ac94961be0fd6ead4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d60db0ac151da4ac94961be0fd6ead4">&#9670;&nbsp;</a></span>spread_curvature()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine mp_curvature_update_height_fn::spread_curvature </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__conv__simple.html#a3b43dedba7ad502655c8a03593869e97">link_metric_conv_simple::stcp</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_a1d60db0ac151da4ac94961be0fd6ead4_icgraph.png" border="0" usemap="#mp__tension__m_8f90_a1d60db0ac151da4ac94961be0fd6ead4_icgraph" alt=""/></div>
<map name="mp__tension__m_8f90_a1d60db0ac151da4ac94961be0fd6ead4_icgraph" id="mp__tension__m_8f90_a1d60db0ac151da4ac94961be0fd6ead4_icgraph">
<area shape="rect" id="node2" href="namespacemp__tension__m.html#a3df9b25fd4b70ca30e9fd927c6f243dd" title="mp_tension_m::mp_curvature\l_update_height_fn" alt="" coords="176,39,371,80"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="419,39,613,80"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="661,39,844,80"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="892,5,1075,47"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="892,71,1075,112"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1123,71,1301,112"/>
</map>
</div>

</div>
</div>
<a id="a989200a24b33712c08656b6867948174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a989200a24b33712c08656b6867948174">&#9670;&nbsp;</a></span>update_matrix()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_normal_vector_hyperbolic::update_matrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_a989200a24b33712c08656b6867948174_icgraph.png" border="0" usemap="#mp__tension__m_8f90_a989200a24b33712c08656b6867948174_icgraph" alt=""/></div>
<map name="mp__tension__m_8f90_a989200a24b33712c08656b6867948174_icgraph" id="mp__tension__m_8f90_a989200a24b33712c08656b6867948174_icgraph">
<area shape="rect" id="node2" href="mp__tension__m_8f90.html#a73ec139b8d8e81091b95fe1b612f6348" title="solve_vec_jacobi" alt="" coords="157,46,280,73"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#ad1017495c417d7998421de7ddc09ff20" title="mp_tension_m::extend\l_normal_vector_hyperbolic" alt="" coords="328,39,505,80"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#a53ce5514dffc24a72be79bcc0e24be5d" title="mp_tension_m::extend\l_normal_vector" alt="" coords="553,39,708,80"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#aaaf670efc53aa4fd17d2f579b49a561a" title="mp_tension_m::mp_curvature\l_update_fd" alt="" coords="756,5,951,47"/>
<area shape="rect" id="node11" href="namespacemp__tension__m.html#a1bba7e031c916327d7e9bf2da976e4d4" title="mp_tension_m::mp_curvature\l_update_height_normal" alt="" coords="756,71,951,112"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="999,39,1193,80"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="1241,39,1424,80"/>
<area shape="rect" id="node8" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="1472,5,1655,47"/>
<area shape="rect" id="node9" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="1472,71,1655,112"/>
<area shape="rect" id="node10" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1703,71,1881,112"/>
</map>
</div>

</div>
</div>
<a id="af0d40904e91aa061d310bb1b63beb7f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d40904e91aa061d310bb1b63beb7f1">&#9670;&nbsp;</a></span>update_normal_vector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine mp_curvature_update_fd::update_normal_vector </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:)&#160;</td>
          <td class="paramname"><em>A</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelink__metric__generic__simple.html#ae104cf0e32dddb557bc85ddc6336404c">link_metric_generic_simple::met_g</a>, and <a class="el" href="namespacelink__metric__generic__simple.html#a1ea3745d4c491f8f6fd6e79df03d1b59">link_metric_generic_simple::stp</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="mp__tension__m_8f90_af0d40904e91aa061d310bb1b63beb7f1_icgraph.png" border="0" usemap="#mp__tension__m_8f90_af0d40904e91aa061d310bb1b63beb7f1_icgraph" alt=""/></div>
<map name="mp__tension__m_8f90_af0d40904e91aa061d310bb1b63beb7f1_icgraph" id="mp__tension__m_8f90_af0d40904e91aa061d310bb1b63beb7f1_icgraph">
<area shape="rect" id="node2" href="namespacemp__tension__m.html#aaaf670efc53aa4fd17d2f579b49a561a" title="mp_tension_m::mp_curvature\l_update_fd" alt="" coords="204,39,399,80"/>
<area shape="rect" id="node3" href="namespacemp__tension__m.html#a5d5913072a1db99dbeed93f96199fd1f" title="mp_tension_m::mp_curvature\l_update" alt="" coords="447,39,641,80"/>
<area shape="rect" id="node4" href="namespacemp__tension__m.html#a7e1ba4c308468c7f4274ae4fac4d9331" title="mp_tension_m::mp_tension\l_update" alt="" coords="689,39,872,80"/>
<area shape="rect" id="node5" href="namespacemp__tension__m.html#a8e3229591cad5cc69b668bf08fc28993" title="mp_tension_m::mp_tension\l_implicit" alt="" coords="920,5,1103,47"/>
<area shape="rect" id="node6" href="namespacemp__tension__m.html#aa40b741d9150503871535d687a206348" title="mp_tension_m::mp_tension\l_explicit" alt="" coords="920,71,1103,112"/>
<area shape="rect" id="node7" href="namespacemp__tension__m.html#ab91a30c59c327dbff2c9ab2f69060788" title="mp_tension_m::mp_modify\l_pressure_rhs" alt="" coords="1151,71,1329,112"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
